<?php
namespace PME\Modules\Planejamento\Cadastro;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;

class EmbalagemController {

  protected $connection;
  protected $environment;
  protected $entityManager;

  public function __construct($entityManager, $connection, $environment) {
  	$this->entityManager = $entityManager;
  	$this->connection = $connection;
    $this->environment = $environment;
	}
	
	public function determinarValorMaxCatembalag(DTO\Request $request, DTO\Response $response) {
    $sql = "SELECT MAX(NRCATEMBALAG) + 1 CODIGO FROM CATEMBALAG";
    
    $codigo = $this->entityManager->getConnection()->fetchAll($sql);
    $response->addDataSet(new DataSet("codigo", $codigo));
  }
  
  public function retornaCodigoEmbalagem(DTO\Request $request, DTO\Response $response) {
    $sql = "SELECT MAX(NRCONTEMBALAG) + 1  CODIGO FROM CONTEMBALAG";
    
    $codigo = $this->entityManager->getConnection()->fetchAll($sql);
    $response->addDataSet(new DataSet("codigo", $codigo));
  }
}